Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PImage
Name | ### loadPixels()
Examples |
    int halfImage = width*height/2;
    PImage myImage = loadImage("topanga.jpg");
    myImage.loadPixels();
    for (int i = 0; i < halfImage; i++) {
      myImage.pixels[i+halfImage] = pixels[i];
    }
    myImage.updatePixels();
    image(myImage, 0, 0);
Description | Loads the pixel data for the image into its pixels[] array. This function must always be called before reading from or writing to pixels[]. Certain renderers may or may not seem to require loadPixels() or updatePixels(). However, the rule is that any time you want to manipulate the pixels[] array, you must first call loadPixels(), and after changes have been made, call updatePixels(). Even if the renderer may not seem to use this function in the current Processing release, this will always be subject to change.
Syntax |
    img.loadPixels()
Parameters |
img | any variable of type PImage
Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT